TDatabaseStatResult (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class TDatabaseStatResult

- java.lang.Object
- - com.sleepycat.thrift.TDatabaseStatResult

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TDatabaseStatResult>, org.apache.thrift.TBase<TDatabaseStatResult,TDatabaseStatResult._Fields>, org.apache.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.10.0)",
                 date="2017-08-25")
      public class TDatabaseStatResult
      extends java.lang.Object
      implements org.apache.thrift.TBase<TDatabaseStatResult,TDatabaseStatResult._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TDatabaseStatResult>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TDatabaseStatResult._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `TBtreeStat` | `btreeStat`
    `THashStat` | `hashStat`
    `THeapStat` | `heapStat`
    `static java.util.Map<TDatabaseStatResult._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `TQueueStat` | `queueStat`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TDatabaseStatResult()`
    `TDatabaseStatResult(TDatabaseStatResult other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(TDatabaseStatResult other)`
    `TDatabaseStatResult` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(TDatabaseStatResult that)`
    `TDatabaseStatResult._Fields` | `fieldForId(int fieldId)`
    `TBtreeStat` | `getBtreeStat()`
    `java.lang.Object` | `getFieldValue(TDatabaseStatResult._Fields field)`
    `THashStat` | `getHashStat()`
    `THeapStat` | `getHeapStat()`
    `TQueueStat` | `getQueueStat()`
    `int` | `hashCode()`
    `boolean` | `isSet(TDatabaseStatResult._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetBtreeStat()` Returns true if field btreeStat is set (has been assigned a value) and false otherwise
    `boolean` | `isSetHashStat()` Returns true if field hashStat is set (has been assigned a value) and false otherwise
    `boolean` | `isSetHeapStat()` Returns true if field heapStat is set (has been assigned a value) and false otherwise
    `boolean` | `isSetQueueStat()` Returns true if field queueStat is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `TDatabaseStatResult` | `setBtreeStat(TBtreeStat btreeStat)`
    `void` | `setBtreeStatIsSet(boolean value)`
    `void` | `setFieldValue(TDatabaseStatResult._Fields field, java.lang.Object value)`
    `TDatabaseStatResult` | `setHashStat(THashStat hashStat)`
    `void` | `setHashStatIsSet(boolean value)`
    `TDatabaseStatResult` | `setHeapStat(THeapStat heapStat)`
    `void` | `setHeapStatIsSet(boolean value)`
    `TDatabaseStatResult` | `setQueueStat(TQueueStat queueStat)`
    `void` | `setQueueStatIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetBtreeStat()`
    `void` | `unsetHashStat()`
    `void` | `unsetHeapStat()`
    `void` | `unsetQueueStat()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### btreeStat

          public TBtreeStat btreeStat

    - #### hashStat

          public THashStat hashStat

    - #### heapStat

          public THeapStat heapStat

    - #### queueStat

          public TQueueStat queueStat

    - #### metaDataMap

          public static final java.util.Map<TDatabaseStatResult._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TDatabaseStatResult

          public TDatabaseStatResult()

    - #### TDatabaseStatResult

          public TDatabaseStatResult(TDatabaseStatResult other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public TDatabaseStatResult deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<TDatabaseStatResult,TDatabaseStatResult._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<TDatabaseStatResult,TDatabaseStatResult._Fields>`

    - #### getBtreeStat

          public TBtreeStat getBtreeStat()

    - #### setBtreeStat

          public TDatabaseStatResult setBtreeStat(TBtreeStat btreeStat)

    - #### unsetBtreeStat

          public void unsetBtreeStat()

    - #### isSetBtreeStat

          public boolean isSetBtreeStat()

      Returns true if field btreeStat is set (has been assigned a value) and false otherwise

    - #### setBtreeStatIsSet

          public void setBtreeStatIsSet(boolean value)

    - #### getHashStat

          public THashStat getHashStat()

    - #### setHashStat

          public TDatabaseStatResult setHashStat(THashStat hashStat)

    - #### unsetHashStat

          public void unsetHashStat()

    - #### isSetHashStat

          public boolean isSetHashStat()

      Returns true if field hashStat is set (has been assigned a value) and false otherwise

    - #### setHashStatIsSet

          public void setHashStatIsSet(boolean value)

    - #### getHeapStat

          public THeapStat getHeapStat()

    - #### setHeapStat

          public TDatabaseStatResult setHeapStat(THeapStat heapStat)

    - #### unsetHeapStat

          public void unsetHeapStat()

    - #### isSetHeapStat

          public boolean isSetHeapStat()

      Returns true if field heapStat is set (has been assigned a value) and false otherwise

    - #### setHeapStatIsSet

          public void setHeapStatIsSet(boolean value)

    - #### getQueueStat

          public TQueueStat getQueueStat()

    - #### setQueueStat

          public TDatabaseStatResult setQueueStat(TQueueStat queueStat)

    - #### unsetQueueStat

          public void unsetQueueStat()

    - #### isSetQueueStat

          public boolean isSetQueueStat()

      Returns true if field queueStat is set (has been assigned a value) and false otherwise

    - #### setQueueStatIsSet

          public void setQueueStatIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(TDatabaseStatResult._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<TDatabaseStatResult,TDatabaseStatResult._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(TDatabaseStatResult._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<TDatabaseStatResult,TDatabaseStatResult._Fields>`

    - #### isSet

          public boolean isSet(TDatabaseStatResult._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<TDatabaseStatResult,TDatabaseStatResult._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(TDatabaseStatResult that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TDatabaseStatResult other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TDatabaseStatResult>`

    - #### fieldForId

          public TDatabaseStatResult._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<TDatabaseStatResult,TDatabaseStatResult._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.